# utils通用包

<!-- TOC -->
* [utils通用包](#utils通用包)
  * [安装](#安装)
  * [通用包](#通用包)
    * [pagination](#pagination)
    * [transport-通用httpEncoder](#transport)
    * [interceptor-通用grpcInterceptor](#interceptor)
    * [meta-跨服务meta信息设置和获取](#meta)
    * [encrypt-对称加密](#encrypt)
<!-- TOC -->

## 安装

1. 设置私有仓库

```shell
go env -w GOPRIVATE=gitea.drugeyes.vip
```

2. 设置git

```shell
git config --global url."ssh://gitea@gitea.drugeyes.vip".insteadOf "https://gitea.drugeyes.vip"
```

3. 拉取对应版本

```shell
go get gitea.drugeyes.vip/pharnexbase/utils@v1.0.0
```

## 通用包

### pagination

* v1

  > 说明

### transport

* v1

  > http请求和响应封装
  > - request
  >   - 验证前端参数签名
  > - response
  >   - ResponseEncoderWithEncrypt 正式服加密后端响应参数
  >   - bff原样返回server错误及自身业务错误，正式服其它错误统一返回InternalServerError

### interceptor

* v1

  > grpc请求和响应拦截器
  > - server
  >   - server原样返回业务错误，正式服其它错误统一返回InternalServerError
  > - client
  >   - client默认转换server的所有error为kratos的error，方便bff原样返回
### meta

* v1

  > 跨服务meta信息设置和获取
  > - user（基础用户信息）

### encrypt

* v1

  > 对称加密，目前包含：SHA1PRNG





