package glog

import (
	"github.com/go-kratos/kratos/v2/log"
	"sync"
)

var (
	once sync.Once
	Glog *log.Helper
)

func NewHelper(logger log.Logger) {
	once.Do(func() {
		Glog = log.NewHelper(logger)
	})
}
