### glog：全局日志

* v1
* 本地环境不变，dev，pre，pro 上传阿里
```go
// main.go 加入

func initLog() (log.Logger, func()) {

	l, f := glog.NewLogger(&glog.LoggerConfig{
		Env:     "dev",
		Id:      id,
		Name:    Name,
		Version: Version,
		AliLogConfig: glog.AliLogConfig{
			AccessKey:    "",
			AccessSecret: "",
			Endpoint:     "",
			Project:      "",
			LogStore:     "",
		},
	})
	glog.NewHelper(l)
	return l, f
}

// main函数加入
func main() {
  ...
	logger, f := initLog()
	defer f()
  ...
  app, cleanup, err := wireApp(..., logger)
}

// 使用
glog.Glog.WithContext(ctx).Error("请输入正确手机号")

```